#include ONCE "window9.bi"

sub ToolBarToolTip(Hwnd As hwnd, iButtonID as Integer, sToolTipS as string) export
	
	dim as ListT ptr pListTemp
	
	dim as any ptr iButton
	
	pListTemp = cast(ListT ptr,pGlobalTypeWindow9->ListToolBar->findNodeFunc(iButtonID))
	
	iButton =  cast(any ptr,pListTemp->anyTwoData)	
	
	if g_object_get_data(cast(any ptr, pListTemp->anyThreeData) , "tooltip") then		
		
		gtk_tool_item_set_tooltip_text(iButton , strptr(sToolTipS))		
		
	EndIf
	
End Sub